> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read the account balance (Processors Only)

>  

Read the account balance (Processors Only)


## OpenAPI

````yaml openapi/platform-api/v20111101.yaml GET /payment_account
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /payment_account:
    get:
      tags:
        - processor token
      summary: Read the account balance (Processors Only)
      description: Read the account balance (Processors Only)
      operationId: readAccountBalance
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentAccountBody'
      security:
        - bearerAuth: []
components:
  schemas:
    PaymentAccountBody:
      properties:
        payment_account:
          allOf:
            - $ref: '#/components/schemas/MemberElements'
            - $ref: '#/components/schemas/PaymentAccount'
      type: object
    MemberElements:
      properties:
        account_guid:
          example: ACT-283132a4-1401-486a-909e-1605f1623d11
          type: string
        member_guid:
          example: MBR-54feffb9-8474-47bd-8442-de003910113a
          type: string
        user_guid:
          example: USR-101ad774-288b-44ed-ad16-da87d522ea20
          type: string
    PaymentAccount:
      properties:
        account_name:
          example: MX Bank Checking
        account_number:
          example: 6366816006
        account_type:
          example: CHECKING
        available_balance:
          example: 1000
        balance:
          example: 1000
        created_at:
          example: '2022-03-17T20:38:58Z'
        routing_number:
          example: 242722023
        transit_number:
          example: null
        updated_at:
          example: '2022-11-29T08:02:07Z'
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    bearerAuth:
      type: http
      scheme: bearer

````